Mailinglist Archive: opensuse (1473 mails)

< Previous Next >
[opensuse] apache2 can't start after default opensuse11.1 installation ?
Dear my friends,

I use OpenSuSE 11.1. I've just installed Apache2 with PHP5 and Perl
modules. But I can't start the apache2.

Here was my try.
===
sussy:~ # rcapache2 start
Starting httpd2 (prefork) Syntax error on line 15
of /etc/apache2/conf.d/smpppd-web-apache2.conf: Invalid command
'SetEnv', perhaps misspelled or defined by a module not included in the
server configuration

The command line was:
/usr/sbin/httpd2-prefork -f /etc/apache2/httpd.conf
===

Then, I put '#' in front of Line 15.
Like this below:
===
Alias /smpppd-web /srv/www/smpppd-web

<Directory "/srv/www/smpppd-web">
Order allow,deny
Allow from all
## replace the line above by the one below to restrict access
# Allow from localhost .your-local.domain
# Deny from all

<Files "smpppd-web.tmpl">
Deny from all
</Files>

<IfModule mod_perl.c>
# SetEnv HTML_TEMPLATE_ROOT /srv/www/smpppd-web
AddHandler perl-script .pl
PerlResponseHandler ModPerl::Registry
</IfModule>

<IfModule !mod_perl.c>
AddHandler cgi-script .pl
</IfModule>

DirectoryIndex smpppd-web.pl
Options +ExecCGI
</Directory>

===

But also my apache2 can't start.
===
sussy:~ # rcapache2 start
Starting httpd2 (prefork)
failed sussy:~ #
===

Please tell me what should I do with it to make my apache2 can launch.
Anybody ever experience this problem?

Thank you very much in advance.

--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups